<?xml version='1.0' encoding='UTF-8'?>

<!-- XML Schema Definition for MQSeries Workflow XML messages -->
<!-- This file ("%OutputFileName%") was generated -->
<!-- by %GeneratorName% on %GeneratedDate% -->
<!-- from FDL file "%InputFileName%" -->

<xsd:schema targetNamespace = '%ServiceSchemaNamespace%'
            xmlns:%SNS%       = '%ServiceSchemaNamespace%'
            xmlns:%WFNS%        = '%MqwfSchemaNamespace%'
            xmlns:dt        = '%XMLSchema%/XMLSchema-datatypes'
            xmlns:xsd       = '%XMLSchema%/XMLSchema'
            version         = '3.3.0'>

<!-- ============================================ -->
<!-- MQSeries Workflow XML Schema subset for WSDL -->
<!-- ============================================ -->

<!-- ================= -->
<!-- Simple data types -->
<!-- ================= -->

<xsd:simpleType name='%WFNS%:STRING'>
 <xsd:restriction base='dt:string'>
  <xsd:maxLength value='4194304'/>
 </xsd:restriction>
</xsd:simpleType>

<xsd:simpleType name='%WFNS%:LONG'>
 <xsd:restriction base='dt:integer'>
  <xsd:minInclusive value='-2147483648'/>
  <xsd:maxInclusive value='2147483647'/>
 </xsd:restriction>
</xsd:simpleType>

<xsd:simpleType name='%WFNS%:BINARY'>
 <xsd:restriction base='dt:base64Binary'>
  <xsd:maxLength value='4194304'/>
 </xsd:restriction>
</xsd:simpleType>

<xsd:simpleType name='%WFNS%:FLOAT'>
 <xsd:restriction base='dt:double'>
  <xsd:minInclusive value='-4.9E-324'/>
  <xsd:maxInclusive value='1.7976931348623157E308'/>
 </xsd:restriction>
</xsd:simpleType>

<xsd:simpleType name='%WFNS%:STATE'>
 <xsd:restriction base='dt:string'>
  <xsd:enumeration value='Deleted'/>
  <xsd:enumeration value='Finished'/>
  <xsd:enumeration value='Ready'/>
  <xsd:enumeration value='Running'/>
  <xsd:enumeration value='Suspended'/>
  <xsd:enumeration value='Suspending'/>
  <xsd:enumeration value='Terminated'/>
  <xsd:enumeration value='Terminating'/>
 </xsd:restriction>
</xsd:simpleType>

<!-- =================== -->
<!-- Enquiry result type -->
<!-- =================== -->

<xsd:complexType name='%WFNS%:EnquiryResult'>
 <xsd:sequence>
  <xsd:element name='%WFNS%:FlowInstanceState'                type='%WFNS%:STATE'/>
  <xsd:element name='%WFNS%:FlowInstanceCreationTime'         type='dt:dateTime' minOccurs='0' maxOccurs='1'/>
  <xsd:element name='%WFNS%:FlowInstanceLastModificationTime' type='dt:dateTime' minOccurs='0' maxOccurs='1'/>
 </xsd:sequence>
</xsd:complexType>

<!-- ================ -->
<!-- Array data types -->
<!-- ================ -->

<xsd:complexType name='%WFNS%:nullType'/>

<xsd:complexType name='%WFNS%:LONG_ARRAY' mixed='true'>
 <xsd:sequence>
  <xsd:element name='%WFNS%:null' type='%WFNS%:nullType'/>
 </xsd:sequence>
</xsd:complexType>

<xsd:complexType name='%WFNS%:FLOAT_ARRAY' mixed='true'>
 <xsd:sequence>
  <xsd:element name='%WFNS%:null' type='%WFNS%:nullType'/>
 </xsd:sequence>
</xsd:complexType>

<xsd:complexType name='%WFNS%:STRING_ARRAY' mixed='true'>
 <xsd:sequence>
  <xsd:element name='%WFNS%:null' type='%WFNS%:nullType'/>
 </xsd:sequence>
</xsd:complexType>

<xsd:complexType name='%WFNS%:BINARY_ARRAY' mixed='true'>
 <xsd:sequence>
  <xsd:element name='%WFNS%:null' type='%WFNS%:nullType'/>
 </xsd:sequence>
</xsd:complexType>

<!-- _GENERATED_DATA_STRUCTURE_XSD_ -->

</xsd:schema>
