// *****************************************************************************
// * IBM MQSeries Workflow XML Sample Scenario                                 *
// *****************************************************************************
//
//  Licensed Materials - Property of IBM
//  5697-FM3 5655-A96
//  (C) Copyright IBM Corp. 1999-2000
//  US Government Users Restricted Rights - Use, duplication or
//  disclosure restricted by GSA ADP Schedule Contract
//  with IBM Corp.
//
// *****************************************************************************
// *****************************************************************************
//  DISCLAIMER
//  ----------
//  This material contains programming source code for your consideration.
//  These examples have not been thoroughly tested under all conditions.
//  IBM, therefore, cannot guarantee or imply reliability, serviceability,
//  or function of these programs.
//  ALL PROGRAMS CONTAINED HEREIN ARE PROVIDED TO YOU "AS IS", WITHOUT ANY
//  WARRANTIES (EXPRESS OR IMPLIED) OR SUPPORT WHATSOEVER, INCLUDING BUT
//  NOT LIMITED TO ANY IMPLIED WARRANTIES OF MERCHANTABILITY OR FITNESS
//  FOR A PARTICULAR PURPOSE.
// *****************************************************************************
package com.ibm.workflow.sample.xml;

import com.ibm.workflow.upes.*;
import com.ibm.mq.*;
import javax.swing.*;
/**
 * @version 1.0
 */
class UPESView extends JFrame {
	private JButton ivjJButton1 = null;
	private JLabel ivjJLabel1 = null;
	private JLabel ivjJLabel2 = null;
	private JTextPane ivjJTextPane1 = null;
	protected transient java.beans.PropertyChangeSupport propertyChange;
	private UPES fieldUpes = null;
	private JPanel ivjJPanel1 = null;
	private JScrollPane ivjJScrollPane1 = null;
	private JTextField ivjJTextField1 = null;
	private JTextField ivjJTextField2 = null;
	IvjEventHandler ivjEventHandler = new IvjEventHandler();
	private UPES ivjUPES1 = null;
	private JPanel ivjJPanel2 = null;
	private JSplitPane ivjJSplitPane1 = null;

class IvjEventHandler implements java.awt.event.ActionListener, java.awt.event.WindowListener, javax.swing.event.ChangeListener {
		public void actionPerformed(java.awt.event.ActionEvent e) {
			if (e.getSource() == UPESView.this.getJButton1()) 
				connEtoM1(e);
			if (e.getSource() == UPESView.this.getJButton1()) 
				connEtoM2(e);
			if (e.getSource() == UPESView.this.getJButton1()) 
				connEtoM3(e);
			if (e.getSource() == UPESView.this.getJButton1()) 
				connEtoM4(e);
			if (e.getSource() == UPESView.this.getJButton1()) 
				connEtoC1(e);
		};
		public void stateChanged(javax.swing.event.ChangeEvent e) {
			if (e.getSource() == UPESView.this.getUPES1()) 
				connPtoP1SetTarget();
		};
		public void windowActivated(java.awt.event.WindowEvent e) {};
		public void windowClosed(java.awt.event.WindowEvent e) {};
		public void windowClosing(java.awt.event.WindowEvent e) {};
		public void windowDeactivated(java.awt.event.WindowEvent e) {};
		public void windowDeiconified(java.awt.event.WindowEvent e) {};
		public void windowIconified(java.awt.event.WindowEvent e) {};
		public void windowOpened(java.awt.event.WindowEvent e) {
			if (e.getSource() == UPESView.this) 
				connEtoM5(e);
		};
	};
/**
 * UPESView - Konstruktorkommentar.
 */
   public UPESView() {
	super();
	initialize();
}
/**
 * UPESView - Konstruktorkommentar.
 * @param title java.lang.String
 */
   public UPESView(String title)
	  {
	  super(title);
	  }
/**
 * Die Methode addPropertyChangeListener wurde zur Untersttzung des Feldes propertyChange generiert.
 */
public synchronized void addPropertyChangeListener(java.beans.PropertyChangeListener listener) {
	getPropertyChange().addPropertyChangeListener(listener);
}
/**
 * connEtoC1:  (JButton1.action.actionPerformed(java.awt.event.ActionEvent) --> UPESView.jButton1_ActionPerformed(Ljava.awt.event.ActionEvent;)V)
 * @param arg1 java.awt.event.ActionEvent
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private void connEtoC1(java.awt.event.ActionEvent arg1) {
	try {
		// user code begin {1}
		// user code end
		this.jButton1_ActionPerformed(arg1);
		// user code begin {2}
		// user code end
	} catch (java.lang.Throwable ivjExc) {
		// user code begin {3}
		// user code end
		handleException(ivjExc);
	}
}
/**
 * connEtoM1:  (JButton1.action.actionPerformed(java.awt.event.ActionEvent) --> JButton1.enabled)
 * @param arg1 java.awt.event.ActionEvent
 */
/* WARNUNG: DIESE METHODE WIRD ERNEUT GENERIERT. */
   private void connEtoM1(java.awt.event.ActionEvent arg1) {
	try {
		// user code begin {1}
		// user code end
		getJTextPane1().setVisible(true);
		// user code begin {2}
		// user code end
	} catch (java.lang.Throwable ivjExc) {
		// user code begin {3}
		// user code end
		handleException(ivjExc);
	}
}
/**
 * connEtoM2:  (JButton1.action.actionPerformed(java.awt.event.ActionEvent) --> JScrollPane1.enabled)
 * @param arg1 java.awt.event.ActionEvent
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private void connEtoM2(java.awt.event.ActionEvent arg1) {
	try {
		// user code begin {1}
		// user code end
		getJButton1().setEnabled(false);
		// user code begin {2}
		// user code end
	} catch (java.lang.Throwable ivjExc) {
		// user code begin {3}
		// user code end
		handleException(ivjExc);
	}
}
/**
 * connEtoM2:  (UPESView.window.windowOpened(java.awt.event.WindowEvent) --> UPESView.setLocation(II)V)
 * @param arg1 java.awt.event.WindowEvent
 */
/* WARNUNG: DIESE METHODE WIRD ERNEUT GENERIERT. */
private void connEtoM2(java.awt.event.WindowEvent arg1) {
	try {
		// user code begin {1}
		// user code end
		this.setLocation(1, 300);
		// user code begin {2}
		// user code end
	} catch (java.lang.Throwable ivjExc) {
		// user code begin {3}
		// user code end
		handleException(ivjExc);
	}
}
/**
 * connEtoM3:  (JButton1.action.actionPerformed(java.awt.event.ActionEvent) --> JTextField1.enabled)
 * @param arg1 java.awt.event.ActionEvent
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private void connEtoM3(java.awt.event.ActionEvent arg1) {
	try {
		// user code begin {1}
		// user code end
		getJTextField1().setEnabled(false);
		// user code begin {2}
		// user code end
	} catch (java.lang.Throwable ivjExc) {
		// user code begin {3}
		// user code end
		handleException(ivjExc);
	}
}
/**
 * connEtoM4:  (JButton1.action.actionPerformed(java.awt.event.ActionEvent) --> JTextField2.enabled)
 * @param arg1 java.awt.event.ActionEvent
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private void connEtoM4(java.awt.event.ActionEvent arg1) {
	try {
		// user code begin {1}
		// user code end
		getJTextField2().setEnabled(false);
		// user code begin {2}
		// user code end
	} catch (java.lang.Throwable ivjExc) {
		// user code begin {3}
		// user code end
		handleException(ivjExc);
	}
}
/**
 * connEtoM5:  (UPESView.window.windowOpened(java.awt.event.WindowEvent) --> JSplitPane1.setDividerLocation(I)V)
 * @param arg1 java.awt.event.WindowEvent
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private void connEtoM5(java.awt.event.WindowEvent arg1) {
	try {
		// user code begin {1}
		// user code end
		getJSplitPane1().setDividerLocation(150);
		// user code begin {2}
		// user code end
	} catch (java.lang.Throwable ivjExc) {
		// user code begin {3}
		// user code end
		handleException(ivjExc);
	}
}
/**
 * connPtoP1SetTarget:  (UPES1._log <--> JTextPane1.text)
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private void connPtoP1SetTarget() {
	/* Set the target from the source */
	try {
		if ((getUPES1() != null)) {
			getJTextPane1().setText(getUPES1().get_log());
		}
		// user code begin {1}
		// user code end
	} catch (java.lang.Throwable ivjExc) {
		// user code begin {3}
		// user code end
		handleException(ivjExc);
	}
}
/**
 * Die Methode firePropertyChange wurde zur Untersttzung des Feldes propertyChange generiert.
 */
public void firePropertyChange(String propertyName, Object oldValue, Object newValue) {
	getPropertyChange().firePropertyChange(propertyName, oldValue, newValue);
}
/**
 * Den Eigenschaftswert JButton1 zurckgeben.
 * @return javax.swing.JButton
 */
/* WARNUNG: DIESE METHODE WIRD ERNEUT GENERIERT. */
   private javax.swing.JButton getJButton1() {
	if (ivjJButton1 == null) {
		try {
			ivjJButton1 = new javax.swing.JButton();
			ivjJButton1.setName("JButton1");
			ivjJButton1.setText("Start UPES");
			ivjJButton1.setBounds(23, 78, 103, 27);
			// user code begin {1}
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	}
	return ivjJButton1;
}
/**
 * Den Eigenschaftswert JLabel1 zurckgeben.
 * @return javax.swing.JLabel
 */
/* WARNUNG: DIESE METHODE WIRD ERNEUT GENERIERT. */
   private javax.swing.JLabel getJLabel1() {
	if (ivjJLabel1 == null) {
		try {
			ivjJLabel1 = new javax.swing.JLabel();
			ivjJLabel1.setName("JLabel1");
			ivjJLabel1.setText("Queue Manager Name:");
			ivjJLabel1.setBounds(23, 12, 157, 17);
			// user code begin {1}
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	}
	return ivjJLabel1;
}
/**
 * Den Eigenschaftswert JLabel2 zurckgeben.
 * @return javax.swing.JLabel
 */
/* WARNUNG: DIESE METHODE WIRD ERNEUT GENERIERT. */
   private javax.swing.JLabel getJLabel2() {
	if (ivjJLabel2 == null) {
		try {
			ivjJLabel2 = new javax.swing.JLabel();
			ivjJLabel2.setName("JLabel2");
			ivjJLabel2.setText("Queue Name:");
			ivjJLabel2.setBounds(23, 49, 157, 17);
			// user code begin {1}
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	}
	return ivjJLabel2;
}
/**
 * Return the JPanel1 property value.
 * @return javax.swing.JPanel
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private javax.swing.JPanel getJPanel1() {
	if (ivjJPanel1 == null) {
		try {
			ivjJPanel1 = new javax.swing.JPanel();
			ivjJPanel1.setName("JPanel1");
			ivjJPanel1.setLayout(new java.awt.BorderLayout());
			getJPanel1().add(getJSplitPane1(), "Center");
			// user code begin {1}
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	}
	return ivjJPanel1;
}
/**
 * Return the JPanel2 property value.
 * @return javax.swing.JPanel
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private javax.swing.JPanel getJPanel2() {
	if (ivjJPanel2 == null) {
		try {
			ivjJPanel2 = new javax.swing.JPanel();
			ivjJPanel2.setName("JPanel2");
			ivjJPanel2.setLayout(null);
			getJPanel2().add(getJButton1(), getJButton1().getName());
			getJPanel2().add(getJLabel2(), getJLabel2().getName());
			getJPanel2().add(getJLabel1(), getJLabel1().getName());
			getJPanel2().add(getJTextField1(), getJTextField1().getName());
			getJPanel2().add(getJTextField2(), getJTextField2().getName());
			// user code begin {1}
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	}
	return ivjJPanel2;
}
/**
 * Return the JScrollPane1 property value.
 * @return javax.swing.JScrollPane
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private javax.swing.JScrollPane getJScrollPane1() {
	if (ivjJScrollPane1 == null) {
		try {
			ivjJScrollPane1 = new javax.swing.JScrollPane();
			ivjJScrollPane1.setName("JScrollPane1");
			ivjJScrollPane1.setVerticalScrollBarPolicy(javax.swing.JScrollPane.VERTICAL_SCROLLBAR_ALWAYS);
			ivjJScrollPane1.setHorizontalScrollBarPolicy(javax.swing.JScrollPane.HORIZONTAL_SCROLLBAR_ALWAYS);
			getJScrollPane1().setViewportView(getJTextPane1());
			// user code begin {1}
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	}
	return ivjJScrollPane1;
}
/**
 * Return the JSplitPane1 property value.
 * @return javax.swing.JSplitPane
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private javax.swing.JSplitPane getJSplitPane1() {
	if (ivjJSplitPane1 == null) {
		try {
			ivjJSplitPane1 = new javax.swing.JSplitPane(javax.swing.JSplitPane.VERTICAL_SPLIT);
			ivjJSplitPane1.setName("JSplitPane1");
			ivjJSplitPane1.setDividerLocation(150);
			ivjJSplitPane1.setDividerSize(8);
			ivjJSplitPane1.setContinuousLayout(false);
			getJSplitPane1().add(getJPanel2(), "top");
			getJSplitPane1().add(getJScrollPane1(), "bottom");
			// user code begin {1}
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	}
	return ivjJSplitPane1;
}
/**
 * Return the JTextField1 property value.
 * @return javax.swing.JTextField
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private javax.swing.JTextField getJTextField1() {
	if (ivjJTextField1 == null) {
		try {
			ivjJTextField1 = new javax.swing.JTextField();
			ivjJTextField1.setName("JTextField1");
			ivjJTextField1.setText("FMCQM");
			ivjJTextField1.setBounds(191, 12, 254, 21);
			// user code begin {1}
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	}
	return ivjJTextField1;
}
/**
 * Return the JTextField2 property value.
 * @return javax.swing.JTextField
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private javax.swing.JTextField getJTextField2() {
	if (ivjJTextField2 == null) {
		try {
			ivjJTextField2 = new javax.swing.JTextField();
			ivjJTextField2.setName("JTextField2");
			ivjJTextField2.setText("UPES001");
			ivjJTextField2.setBounds(191, 49, 254, 21);
			// user code begin {1}
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	}
	return ivjJTextField2;
}
/**
 * Den Eigenschaftswert JTextPane1 zurckgeben.
 * @return javax.swing.JTextPane
 */
/* WARNUNG: DIESE METHODE WIRD ERNEUT GENERIERT. */
   private javax.swing.JTextPane getJTextPane1() {
	if (ivjJTextPane1 == null) {
		try {
			ivjJTextPane1 = new javax.swing.JTextPane();
			ivjJTextPane1.setName("JTextPane1");
			ivjJTextPane1.setBounds(0, 0, 519, 163);
			ivjJTextPane1.setVisible(true);
			// user code begin {1}
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	}
	return ivjJTextPane1;
}
/**
 * Accessor fr das Feld propertyChange.
 */
protected java.beans.PropertyChangeSupport getPropertyChange() {
	if (propertyChange == null) {
		propertyChange = new java.beans.PropertyChangeSupport(this);
	};
	return propertyChange;
}
/**
 * Ruft den Eigenschaftswert upes (UPES) ab.
 * @return Der Eigenschaftswert upes.
 * @see #setUpes
 */
public UPES getUpes() {
	return fieldUpes;
}
/**
 * Return the UPES1 property value.
 * @return UPES
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private UPES getUPES1() {
	// user code begin {1}
	// user code end
	return ivjUPES1;
}
/**
 * Wird aufgerufen, wenn die Komponente eine Ausnahmebedingung bergibt.
 * @param exception java.lang.Throwable
 */
   private void handleException(Throwable exception)
	  {

	  /* Entfernen Sie den Kommentar fr die folgenden Zeilen, um nicht abgefangene Ausnahmebedingungen auf der Standardausgabeeinheit (stdout) auszugeben */
	  // System.out.println("--------- NICHT ABGEFANGENE AUSNAHMEBEDINGUNG ---------");
	  // exception.printStackTrace(System.out);
	  }
/**
 * Initialisiert Verbindungen
 * @exception java.lang.Exception Die Beschreibung der Ausnahmebedingung.
 */
/* WARNUNG: DIESE METHODE WIRD ERNEUT GENERIERT. */
   private void initConnections() throws java.lang.Exception {
	// user code begin {1}
	// user code end
	getJButton1().addActionListener(ivjEventHandler);
	this.addWindowListener(ivjEventHandler);
	connPtoP1SetTarget();
}
/**
 * Die Klasse initialisieren.
 */
/* WARNUNG: DIESE METHODE WIRD ERNEUT GENERIERT. */
   private void initialize() {
	try {
		// user code begin {1}
		// user code end
		setName("UPESView");
		setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
		setSize(628, 516);
		setTitle("UPES View");
		setContentPane(getJPanel1());
		initConnections();
	} catch (java.lang.Throwable ivjExc) {
		handleException(ivjExc);
	}
	// user code begin {2}
	// user code end
}
/**
 * Comment
 */
public void jButton1_ActionPerformed(java.awt.event.ActionEvent actionEvent)
{
	try
	{
	fieldUpes = new UPES(getJTextField2().getText(),getJTextField1().getText());
	setUPES1(fieldUpes);
	SchufaSampleListener s = new SchufaSampleListener();
	CreditApprovalSampleListener a = new CreditApprovalSampleListener();
	fieldUpes.RegisterUPESListener(s);
	fieldUpes.RegisterUPESListener(a);
	fieldUpes.WaitForMessages(2);
	}
	catch (MQException e)
	{
		getJTextPane1().setText(e.getMessage());
	}
	return;
}
/**
 * Haupteingangspunkt - Startet die Komponente, wenn sie als Anwendung ausgefhrt wird
 * @param args java.lang.String[]
 */
   public static void main(java.lang.String[] args)
	  {
	  try
		 {
		 UPESView aUPESView;
		 aUPESView = new UPESView();
		 aUPESView.addWindowListener(new java.awt.event.WindowAdapter()
										{
										public void windowClosing(java.awt.event.WindowEvent e)
										   {
										   System.exit(0);
										   };
										});
		 aUPESView.setVisible(true);
		 }
	  catch (Throwable exception)
		 {
		 System.err.println("In main() von javax.swing.JFrame trat eine Ausnahmebedingung auf");
		 exception.printStackTrace(System.out);
		 }
	  }
/**
 * Die Methode removePropertyChangeListener wurde zur Untersttzung des Feldes propertyChange generiert.
 */
public synchronized void removePropertyChangeListener(java.beans.PropertyChangeListener listener) {
	getPropertyChange().removePropertyChangeListener(listener);
}
/**
 * Definiert den Eigenschaftswert upes (UPES).
 * @param upes Der neue Wert fr die Eigenschaft.
 * @see #getUpes
 */
public void setUpes(UPES upes) {
	UPES oldValue = fieldUpes;
	fieldUpes = upes;
	firePropertyChange("upes", oldValue, upes);
}
/**
 * Set the UPES1 to a new value.
 * @param newValue UPES
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private void setUPES1(UPES newValue) {
	if (ivjUPES1 != newValue) {
		try {
			UPES oldValue = getUPES1();
			/* Stop listening for events from the current object */
			if (ivjUPES1 != null) {
				ivjUPES1.removeChangeListener(ivjEventHandler);
			}
			ivjUPES1 = newValue;

			/* Listen for events from the new object */
			if (ivjUPES1 != null) {
				ivjUPES1.addChangeListener(ivjEventHandler);
			}
			connPtoP1SetTarget();
			firePropertyChange("upes", oldValue, newValue);
			// user code begin {1}
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	};
	// user code begin {3}
	// user code end
}
}
